From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-base/xorg-proto/
Date: Mon, 5 Jun 2023 13:31:08 +0000 (UTC) [thread overview]
Message-ID: <1685971850.efc8207f6426266026cb8e09ec60323b5d2452f0.mattst88@gentoo> (raw)
commit: efc8207f6426266026cb8e09ec60323b5d2452f0
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 5 13:25:21 2023 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Jun 5 13:30:50 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=efc8207f
x11-base/xorg-proto: Version bump to 2023.1
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
x11-base/xorg-proto/Manifest | 1 +
x11-base/xorg-proto/xorg-proto-2023.1.ebuild | 53 ++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/x11-base/xorg-proto/Manifest b/x11-base/xorg-proto/Manifest
index 703d6c5f2bc9..6f7afb747bc8 100644
--- a/x11-base/xorg-proto/Manifest
+++ b/x11-base/xorg-proto/Manifest
@@ -1 +1,2 @@
DIST xorgproto-2022.2.tar.xz 757080 BLAKE2B 0fee7910fced83548780fd1c7bfd214c932c7c5064c6ebd40ac9285d071837056b9eca24dadb53a572a05768f8762c4dd81ac58fcf6b43028f557ed56a98f7f9 SHA512 8e6108110600d076a94cc6d0e465b2e9adfbbe8d7e6b75fae9c5262d99dc6074ab1ed561a74d6d451f00f5b7af9f507a6317be9c0770efeed9e60b64beb7a1c9
+DIST xorgproto-2023.1.tar.xz 759168 BLAKE2B e794f8acb2b01f97cee80b01b3b67aa0691517d4eb17c5304768932785b087d86bc610e9e448c623e31b665e72c4b4c0432766767e01e8d835d88a3bf45adce6 SHA512 342128ca2e9a6806a7ff33f426434bee29626a13a592b9544654a010cb7be208b0862e3cd063773a0003ca0ec7d48361cfcc384fe207efe9ecb6ec3f2b8e7d56
diff --git a/x11-base/xorg-proto/xorg-proto-2023.1.ebuild b/x11-base/xorg-proto/xorg-proto-2023.1.ebuild
new file mode 100644
index 000000000000..5e165a925d02
--- /dev/null
+++ b/x11-base/xorg-proto/xorg-proto-2023.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..11} )
+
+MY_PN="${PN/xorg-/xorg}"
+MY_P="${MY_PN}-${PV}"
+
+EGIT_REPO_URI="https://gitlab.freedesktop.org/xorg/proto/${MY_PN}.git"
+
+if [[ ${PV} = 9999* ]]; then
+ GIT_ECLASS="git-r3"
+fi
+
+inherit ${GIT_ECLASS} meson python-any-r1
+
+DESCRIPTION="X.Org combined protocol headers"
+HOMEPAGE="https://gitlab.freedesktop.org/xorg/proto/xorgproto"
+if [[ ${PV} = 9999* ]]; then
+ SRC_URI=""
+else
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+ SRC_URI="https://xorg.freedesktop.org/archive/individual/proto/${MY_P}.tar.xz"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ $(python_gen_any_dep '
+ dev-python/python-libevdev[${PYTHON_USEDEP}]
+ ')
+ )
+"
+
+python_check_deps() {
+ python_has_version "dev-python/python-libevdev[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_install() {
+ meson_src_install
+
+ mv "${ED}"/usr/share/doc/{xorgproto,${P}} || die
+}
next reply other threads:[~2023-06-05 13:31 UTC|newest]
Thread overview: 109+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-05 13:31 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-06 16:27 [gentoo-commits] repo/gentoo:master commit in: x11-base/xorg-proto/ Michał Górny
2024-06-09 18:54 Matt Turner
2024-05-17 0:24 Matt Turner
2024-04-26 13:07 Sam James
2024-04-26 13:07 Sam James
2024-04-26 12:52 Sam James
2024-04-26 12:52 Sam James
2024-04-26 12:50 Sam James
2024-04-26 12:50 Sam James
2024-04-26 6:03 Arthur Zamarin
2024-03-26 15:26 Matt Turner
2024-03-26 15:26 Matt Turner
2024-03-26 15:26 Matt Turner
2023-08-16 22:07 Matt Turner
2023-08-16 15:12 Arthur Zamarin
2023-08-11 19:12 Arthur Zamarin
2023-08-11 5:56 Arthur Zamarin
2023-08-09 4:27 Arthur Zamarin
2023-07-15 15:37 Arthur Zamarin
2023-07-15 15:37 Arthur Zamarin
2023-07-02 11:54 Arthur Zamarin
2023-07-02 11:52 Arthur Zamarin
2023-06-16 15:18 Matt Turner
2022-11-19 7:01 Arthur Zamarin
2022-08-20 15:54 Arthur Zamarin
2022-08-11 18:20 Matt Turner
2022-08-11 18:20 Matt Turner
2022-05-29 15:23 Matt Turner
2022-05-25 17:57 Jakov Smolić
2022-05-10 16:19 Arthur Zamarin
2022-05-08 23:01 Sam James
2022-05-08 3:10 WANG Xuerui
2022-04-24 20:50 Matt Turner
2021-11-18 7:48 Matt Turner
2021-11-17 22:55 Georgy Yakovlev
2021-11-17 16:51 Arthur Zamarin
2021-11-17 7:49 Sam James
2021-11-15 8:38 Jakov Smolić
2021-11-15 1:12 Sam James
2021-11-12 20:51 Sam James
2021-11-07 22:10 Jakov Smolić
2021-10-29 7:16 Arthur Zamarin
2021-09-15 20:27 Matt Turner
2021-08-28 1:53 Matt Turner
2021-05-29 18:16 Matt Turner
2021-05-27 23:30 Sam James
2021-05-27 19:23 Sam James
2021-05-27 19:18 Sam James
2021-05-27 19:14 Sam James
2021-05-27 19:11 Sam James
2021-04-30 19:08 Matt Turner
2021-04-30 19:08 Matt Turner
2021-02-25 2:37 Matt Turner
2021-02-25 2:37 Matt Turner
2021-02-25 0:03 Matt Turner
2021-02-25 0:03 Matt Turner
2021-02-25 0:03 Matt Turner
2020-06-24 20:13 Matt Turner
2020-06-24 17:22 Sergei Trofimovich
2020-06-15 15:16 Agostino Sarubbo
2020-06-15 15:12 Agostino Sarubbo
2020-06-15 15:10 Agostino Sarubbo
2020-06-15 15:08 Agostino Sarubbo
2020-06-15 15:06 Agostino Sarubbo
2020-06-15 15:03 Agostino Sarubbo
2020-06-15 15:00 Agostino Sarubbo
2020-05-18 20:40 Matt Turner
2020-05-18 20:40 Matt Turner
2020-04-14 16:11 Matt Turner
2020-01-06 11:55 Mike Frysinger
2020-01-06 11:55 Mike Frysinger
2019-11-26 22:54 Matt Turner
2019-11-25 7:30 Sergei Trofimovich
2019-11-22 13:44 Matt Turner
2019-11-22 9:33 Mikle Kolyada
2019-11-20 11:48 Agostino Sarubbo
2019-11-20 11:35 Agostino Sarubbo
2019-11-20 11:21 Agostino Sarubbo
2019-11-18 22:08 Aaron Bauman
2019-11-18 14:29 Agostino Sarubbo
2019-10-17 16:39 Matt Turner
2019-07-28 16:40 Matt Turner
2019-07-28 13:05 Mikle Kolyada
2019-07-21 17:13 Aaron Bauman
2019-07-19 11:33 Agostino Sarubbo
2019-07-18 11:33 Agostino Sarubbo
2019-07-18 10:47 Agostino Sarubbo
2019-07-17 14:03 Agostino Sarubbo
2019-07-17 10:18 Mikle Kolyada
2019-07-14 9:11 Sergei Trofimovich
2019-07-13 10:36 Sergei Trofimovich
2019-07-10 10:30 Agostino Sarubbo
2019-07-09 23:11 Sergei Trofimovich
2019-06-20 15:49 Matt Turner
2019-06-20 15:49 Matt Turner
2019-06-12 17:08 Michael Haubenwallner
2019-01-09 12:57 Michael Haubenwallner
2019-01-09 8:03 Fabian Groffen
2018-06-08 8:05 Mikle Kolyada
2018-04-06 10:36 Fabian Groffen
2018-04-02 17:35 Mart Raudsepp
2018-03-29 19:03 Sergei Trofimovich
2018-03-25 22:42 Thomas Deutschmann
2018-03-24 23:14 Mikle Kolyada
2018-03-05 19:12 Fabian Groffen
2018-03-01 22:41 Michał Górny
2018-03-01 4:45 Matt Turner
2018-02-27 5:08 Matt Turner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1685971850.efc8207f6426266026cb8e09ec60323b5d2452f0.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox